Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.component
Class Standard

    java.lang.Object
      net.fortuna.ical4j.model.Component
          net.fortuna.ical4j.model.component.Observance
              net.fortuna.ical4j.model.component.Standard

All Implemented Interfaces:
  Serializable, Comparable

    public class Standard

extends Observance

Defines an iCalendar standard timezone observance component.

           standardc  = "BEGIN" ":" "STANDARD" CRLF

                        tzprop

                        "END" ":" "STANDARD" CRLF

           tzprop     = 3*(

                      ; the following are each REQUIRED,
                      ; but MUST NOT occur more than once

                      dtstart / tzoffsetto / tzoffsetfrom /

                      ; the following are optional,
                      ; and MAY occur more than once

                      comment / rdate / rrule / tzname / x-prop

                      )

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.component.Observance
`DAYLIGHT, STANDARD`

Fields inherited from class net.fortuna.ical4j.model.Component
`BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO`

Constructor Summary
`Standard()` Default constructor.
`Standard(PropertyList properties)` Constructor.

Method Summary

Methods inherited from class net.fortuna.ical4j.model.component.Observance
`compareTo, compareTo, getLatestOnset, getOffsetFrom, getOffsetTo, getStartDate, validate`

Methods inherited from class net.fortuna.ical4j.model.Component
`equals, getName, getProperties, getProperties, getProperty, hashCode, toString, validate, validateProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Standard

    public Standard()

  Default constructor.

### Standard

    public Standard(PropertyList properties)

  Constructor.

  Parameters:
    `properties` - a list of properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.